#!/bin/sh

if [ "$1" == '-h' -o "$1" == '--help' ]; then
  echo 'Usage: control.sh [PV_PREFIX [DEVICE_NAME [CHANNEL]]]'
  echo 'Parameters:'
  echo '  PV_PREFIX    PV name prefix (default: "x7ID:")'
  echo '  DEVICE_NAME  Name of device (default: "Maxi1")'
  echo '  CHANNEL      Channel of device [1-6] (default: "1")'
  echo 'Example: control.sh'
  echo 'Example: control.sh ioc1: MaxiG'
  echo 'Example: control.sh ioc1: MaxiG 2'
  exit 0
fi

pvPrefix=x7ID:
if [ "$1" != '' ]; then pvPrefix="$1"; fi
deviceName=Maxi1
if [ "$2" != '' ]; then deviceName="$2"; fi
channel='1'
if [ "$3" != '' ]; then channel="$3"; fi

thisScriptHome=`dirname "$0"`
cd "$thisScriptHome"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$thisScriptHome\"." 1>&2
  exit 1
fi
thisScriptHome=`pwd`
if [ $? -ne 0 ]; then
  echo 'Failed to get current working directory.' 1>&2
  exit 1
fi

cd "../src"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$thisScriptHome/../src\"." 1>&2
  exit 1
fi

exec medm -x -macro "P=$pvPrefix,D=$deviceName,C=$channel" \
  ./pfeiffer-tpg-256-a.adl
