#!/usr/bin/env python

#
# Usage: python sim-send-cmd.py WHAT_TO_SEND
#
# Writes WHAT_TO_SEND to file descriptor 7 and reads a response from file
# descriptor 6.
#
# Bourne shell example using tcpclient from DJB's ucspi-tcp:
# $ tcpclient 127.0.0.1 50435 ./sim-send-cmd.py $'PR1=2,1.000E-6\r'
#

import os
import sys

COMMAND_RESPONSE_SIZE = 3

def main():
  inputStream = os.fdopen(6, "r")
  outputStream = os.fdopen(7, "w")
  outputStream.write(sys.argv[1])
  outputStream.flush()
  sys.stderr.write("> \"%s\"\n" % sys.argv[1].encode("string_escape"))
  sys.stderr.flush()
  response = inputStream.read(COMMAND_RESPONSE_SIZE)
  sys.stderr.write("< \"%s\"\n" % response.encode("string_escape"))
  sys.stderr.flush()

if __name__ == "__main__": main()
